import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/controllers/paged_state_mixin.dart';

class PatientListState with PagedStateMixin<PatientDTO> {
  // final RxList<PatientDTO> _dataList = RxList<PatientDTO>();

  // /// 列表数据集合
  // List<PatientDTO> get dataList => UnmodifiableListView(_dataList.toList());
  // set dataList(List<PatientDTO> val) => _dataList.value = val;

  final RxInt _currentTabIndex = RxInt(0);

  int get currentTabIndex => _currentTabIndex.value;
  set currentTabIndex(int val) => _currentTabIndex(val);

  Rx<DateTime?> startTime =
      DateTime.now().subtract(const Duration(days: 365)).obs;
  Rx<DateTime?> endTime = DateTime.now().obs;
}
